//------------------------------------------------------------------------------
//
//  npjson.h
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Please see main.c for a complete list of additional code contributors
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#ifndef NPJSON_H_
#define NPJSON_H_


#include "../../npdata.h"


//------------------------------------------------------------------------------
void npInitJSON (void* dataRef);
void npCloseJSON (void* dataRef);

// these functions wrap the standard C file methods on Linux, MSW and OSX
// opens or creates the file in the specified mode "rb+" read/write binary..
FILE* npOpenJSON (const char* fileName, const char* mode, void* dataRef);

FILE* npNewJSON (const char* fileName, const char* mode, void* dataRef);

FILE* npDialogJSON (const char* fileName, int dialogType, void* dataRef);

// if not saved then opens SaveAs dialog before reseting app
void npCloseJSON (void* dataRef);

// wrappers for fread(), fwrite() and rewind()
//void npReadFile (void* writeBuffer, int wordSize, int size, void* dataRef);
int npReadJSON (void* readBuffer, int elementSize, int elementCount, 
				 FILE* file, void* dataRef);
int npWriteJSON (const void* str, int wordSize, int size, FILE* file, void* dataRef);

// 
void npSaveJSON (FILE* file, void* dataRef);

void npImportJSON (FILE* file, int type, void* dataRef);
void npExportJSON (FILE* file, void* dataRef);

// file and directory management
void npGetAttribJSON (int size, void* dataRef);
void npSetAttribJSON (int size, void* dataRef);

void npTestJSON (void* fileName, int wordSize, int size, void* dataRef);


#endif