//------------------------------------------------------------------------------
//
//  npgldraw.h
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Please see main.c for a complete list of additional code contributors
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#ifndef NPGLDRAW_H_
#define NPGLDRAW_H_


#include "../../npdata.h"

//------------------------------------------------------------------------------

void npInitGLDraw (void* dataRef);
void npCloseGLDraw (void* dataRef);

void npDrawNodes (void* dataRef);
void npDrawHUD (void* dataRef);

void SetIndexColor (NPubyteRGBA *color, int *colorIndex);

void npIDtoRGB (int id, int* r, int* g, int* b);		//MB zz
int npRGBtoID (int r, int g, int b);
void PickPass (int picking, void* dataRef);
int npGetPickPass (void* dataRef);

float npDistance (NPfloatXYZ vecA, NPfloatXYZ vecB);	//used for z-sort
void DrawSimpleTorus (void);							//MB-LABEL

#endif

