//------------------------------------------------------------------------------
//
//  npos.h
//
// ANTZ - 3D data viewer with realtime real-world interaction based on NPE.
//
// ANTZ is hosted at http://temporalzone.com and NPE at http://neuralphysics.org
//
// Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
//
// Please see main.c for a complete list of additional code contributors
//
// To the extent possible under law, the author(s) have dedicated all copyright 
// and related and neighboring rights to this software to the public domain
// worldwide. This software is distributed without any warranty.
//
// Released under the CC0 license, which is GPL compatible.
//
// You should have received a copy of the CC0 Public Domain Dedication along
// with this software (license file named COPYING.txt). If not, see
// http://creativecommons.org/publicdomain/zero/1.0/
//
//------------------------------------------------------------------------------

#ifndef NPOS_H_
#define NPOS_H_

#include "../npdata.h"
//#include <stdio.h>

#ifdef NP_LINUX_
#include "linux/nplinuxfile.h"
#endif

#ifdef NP_MSW_
#include "msw/npmswfile.h"
#endif

#ifdef NP_OSX_
#include "osx/nplinuxfile.h"
#endif

//------------------------------------------------------------------------------

void nposGetCWD (char* buffer, int* size);

FILE* nposFileDialog (const char* fileName, int dialogType, void* dataRef);

int nposShowCursor (int hide);
int nposSetCursorPos (int x, int y);

void nposSleep (int millisec);

void nposTimeStampCSV (char* fileName);

#endif

